Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514346 - Upgrade fails with "restorecon -RF /var/lib/origin/openshift.local.volumes" with [Errno 2] No such file or directory
Summary: Upgrade fails with "restorecon -RF /var/lib/origin/openshift.local.volumes" w...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.0
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 07:42 UTC by Miheer Salunke
Modified: 2018-05-04 13:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-04 13:26:18 UTC


Attachments (Terms of Use)

Comment 4 Scott Dodson 2017-11-24 17:57:46 UTC
It's likely happening because restorecon is in /sbin/restorecon rather than /usr/sbin/restorecon and the former is not in the user's path? That's not the normal path for restorecon, so i'd be interested in understanding why it's in that path rather than /usr/sbin/restorecon as shipped by policycoreutils package in RHEL.

Anyway, to work around this they can alter the task to use /sbin/restorecon absolute path for the time being until we understand why it's in a non standard location. 

The task is in roles/openshift_node_upgrade/tasks/main.yml

Comment 6 Scott Dodson 2018-01-24 15:11:49 UTC
Attached case is closed, since it looks like restorecon is in a non standard path and we don't know why I'm closing this as notabug.

Comment 8 Scott Dodson 2018-05-04 13:26:18 UTC
They need to make sure that they have the default paths configured for ansible_user and root.

https://docs.openshift.com/container-platform/3.9/install_config/install/host_preparation.html#setting-path


Note You need to log in before you can comment on or make changes to this bug.